com.ibm.openpages.api.security

## Interface IApplicationPermission

-     public interface IApplicationPermission

  Interface for application-level permissions. These permissions control application-level actions available to an OpenPages user or group. They may include items such as:
  - Manage the configuration of field groups
  - Manage the reporting framework
  - Reset SOX compliance objects
  - Create, delete, and modify SOX reporting periods

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getDescription()` Returns descriptive text for an application permission.
    `java.lang.String` | `getFullName()` Returns a full path name associated with an application permission.
    `Id` | `getId()` Returns the Id associated with an application permission.
    `java.lang.String` | `getName()` Returns the name for this application permission.
    `java.util.List<IApplicationPermission>` | `getSubPermissions()` Gets the sub-permissions associated with this application permission.

- - ### Method Detail

    - #### getName

          java.lang.String getName()

      Returns the name for this application permission.
      Returns:
        String

    - #### getFullName

          java.lang.String getFullName()

      Returns a full path name associated with an application permission.
      Returns:
        String

    - #### getId

          Id getId()

      Returns the Id associated with an application permission.
      Returns:
        Id

    - #### getDescription

          java.lang.String getDescription()

      Returns descriptive text for an application permission.
      Returns:
        String

    - #### getSubPermissions

          java.util.List<IApplicationPermission> getSubPermissions()

      Gets the sub-permissions associated with this application permission.
      Returns:
        List

Licensed Materials - Property of IBM
OpenPages with Watson (PID: 5725-D51)
© Copyright IBM Corporation 2013, 2022. All Rights Reserved.
US Government Users Restricted Rights - Use, duplication or disclosure restricted by GSA ADP Schedule Contract with IBM Corp.